## wsjtx 2.3.0+repack

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.7.2 FATAL_ERROR)

if (APPLE)
  #
  # The following variables define the portability and compatability attributes of the Mac macOS build
  # they are choosen with care and should not be changed without good cause.
  #
  # Among other things these options are chosen to match the portability and compatability options of the
  # Qt framework dylibs which can be checked as follows:
  #
  # otool -l <binary> | grep -A3 LC_VERSION_MIN_MACOSX
  #
  set (CMAKE_OSX_DEPLOYMENT_TARGET 10.12
    CACHE STRING "Earliest version of macOS supported

Earliest version we can support with Qt 5.12, C++11 & libc++ is 10.12.
Do not override this if you intend to build an official deployable installer.")
endif (APPLE)

#
# CMake policies
#
if (POLICY CMP0020)
  cmake_policy (SET CMP0020 NEW) # link to Qt winmain on Windows
endif ()

if (POLICY CMP0043)
  cmake_policy (SET CMP0043 NEW) # ignore COMPILE_DEFINITIONS_<CONFIG>
endif ()

if (POLICY CMP0048)
  cmake_policy (SET CMP0048 NEW) # clear PROJECT_Version_* variables if not set in project() command
endif ()

if (POLICY CMP0063)
  cmake_policy (SET CMP0063 NEW) # honour visibility properties for all library types
endif ()

if (POLICY CMP0071)
  cmake_policy (SET CMP0071 NEW) # run automoc and autouic on generated sources
endif ()

if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW) # honour CMAKE_REQUIRED_LIBRARIES in config checks
endif ()

project (wsjtx
  VERSION 2.3.0.0
  LANGUAGES C CXX Fortran
  )
set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
set (CMAKE_PROJECT_DESCRIPTION ${PROJECT_DESCRIPTION})

#
# Local CMake modules and support files
#
set (CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake/Modules ${CMAKE_MODULE_PATH})

set (PROJECT_ARCHITECTURE "${CMAKE_SYSTEM_PROCESSOR}")
if (NOT PROJECT_ARCHITECTURE)
  # This is supposed to happen already on Windows
  if (CMAKE_SIZEOF_VOID_P MATCHES 8)
    set (PROJECT_ARCHITECTURE "x64")
  else ()
    set (PROJECT_ARCHITECTURE "$ENV{PROCESSOR_ARCHITECTURE}")
  endif ()
endif ()
message (STATUS "******************************************************")
message (STATUS "Building for for: ${CMAKE_SYSTEM_NAME}-${PROJECT_ARCHITECTURE}")
message (STATUS "******************************************************")

include (set_build_type)
# RC 0 or omitted is a development build, GA is a General Availability release build
set_build_type (GA)
set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")

#
# project information
#
set (PROJECT_BUNDLE_NAME "WSJT-X")
set (PROJECT_VENDOR "Joe Taylor, K1JT")
set (PROJECT_CONTACT "Joe Taylor <k1jt@arrl.net>")
set (PROJECT_COPYRIGHT "Copyright (C) 2001-2021 by Joe Taylor, K1JT")
set (PROJECT_HOMEPAGE https://www.physics.princeton.edu/pulsar/K1JT/wsjtx.html)
set (PROJECT_MANUAL wsjtx-main)
set (PROJECT_MANUAL_DIRECTORY_URL https://www.physics.princeton.edu/pulsar/K1JT/wsjtx-doc/)
set (PROJECT_SAMPLES_URL http://downloads.sourceforge.net/project/wsjt/)
set (PROJECT_SAMPLES_UPLOAD_DEST frs.sourceforge.net:/home/frs/project/wsjt/)

# make sure that the default configuration is a RELEASE
if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RELEASE CACHE STRING
    "Choose the type of build, options are: None Debug Release."
    FORCE)
endif (NOT CMAKE_BUILD_TYPE)
if (CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
  set (is_debug_build 1)
endif ()


#
# Options & features
#
#	Some of these directly effect compilation by being defined in
#	wsjtx_config.h.in which makes them available to the C/C++
#	pre-processor.
#
include (CMakeDependentOption)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" OFF)
# Set the LIB_TYPE variable to STATIC
SET (LIB_TYPE STATIC)
if (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  set (LIB_TYPE SHARED)
endif (BUILD_SHARED_LIBS)

option (UPDATE_TRANSLATIONS "Update source translation translations/*.ts
files (WARNING: make clean will delete the source .ts files! Danger!)")
option (WSJT_SHARED_RUNTIME "Debugging option that allows running from a shared Cloud directory.")
option (WSJT_QDEBUG_TO_FILE "Redirect Qt debuging messages to a trace file.")
option (WSJT_SOFT_KEYING "Apply a ramp to CW keying envelope to reduce transients." ON)
option (WSJT_SKIP_MANPAGES "Skip *nix manpage generation.")
option (WSJT_GENERATE_DOCS "Generate documentation files." ON)
option (WSJT_RIG_NONE_CAN_SPLIT "Allow split operation with \"None\" as rig.")
option (WSJT_TRACE_UDP "Debugging option that turns on UDP message protocol diagnostics.")
option (WSJT_BUILD_UTILS "Build simulators and code demonstrators." ON)

CMAKE_DEPENDENT_OPTION (WSJT_ENABLE_EXPERIMENTAL_FEATURES "Enable features not fully ready for public releases." ON
  is_debug_build OFF)
CMAKE_DEPENDENT_OPTION (WSJT_CREATE_WINMAIN
  "The wsjtx target is normally built as GUI executable with a WinMain entry point on Windows,
if you want a console application instead then set this option to OFF.

If you just want to see the debug output from the application then the easiest way is to
attach a debugger which will then receive the console output inside its console." ON
  "WIN32" OFF)

#
# install locations
#

if (APPLE)
  set (CMAKE_INSTALL_BINDIR ${CMAKE_PROJECT_NAME}.app/Contents/MacOS)
  set (CMAKE_INSTALL_DATAROOTDIR ${CMAKE_PROJECT_NAME}.app/Contents/Resources)
endif ()

include (GNUInstallDirs)

set (PLUGIN_DESTINATION ${CMAKE_INSTALL_LIBDIR}/plugins)
set (QT_CONF_DESTINATION ${CMAKE_INSTALL_BINDIR})
if (WIN32)
  set (PLUGIN_DESTINATION plugins)
elseif (APPLE)
  set (PLUGIN_DESTINATION ${CMAKE_INSTALL_BINDIR}/../PlugIns)
  set (QT_CONF_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})
endif ()

set (WSJT_PLUGIN_DESTINATION ${PLUGIN_DESTINATION} CACHE PATH "Path for plugins")
set (WSJT_QT_CONF_DESTINATION ${QT_CONF_DESTINATION} CACHE PATH "Path for the qt.conf file")


#
# Project sources
#
set (fort_qt_CXXSRCS
  lib/shmem.cpp
  )

set (wsjt_qt_CXXSRCS
  qt_helpers.cpp
  widgets/MessageBox.cpp
  MetaDataRegistry.cpp
  Network/NetworkServerLookup.cpp
  revision_utils.cpp
  L10nLoader.cpp
  WFPalette.cpp
  Radio.cpp
  RadioMetaType.cpp
  NonInheritingProcess.cpp
  models/IARURegions.cpp
  models/Bands.cpp
  models/Modes.cpp
  models/FrequencyList.cpp
  models/StationList.cpp
  widgets/FrequencyLineEdit.cpp
  widgets/FrequencyDeltaLineEdit.cpp
  item_delegates/CandidateKeyFilter.cpp
  item_delegates/ForeignKeyDelegate.cpp
  validators/LiveFrequencyValidator.cpp
  GetUserId.cpp
  Audio/AudioDevice.cpp
  Transceiver/Transceiver.cpp
  Transceiver/TransceiverBase.cpp
  Transceiver/EmulateSplitTransceiver.cpp
  Transceiver/TransceiverFactory.cpp
  Transceiver/PollingTransceiver.cpp
  Transceiver/HamlibTransceiver.cpp
  Transceiver/HRDTransceiver.cpp
  Transceiver/DXLabSuiteCommanderTransceiver.cpp
  Network/NetworkMessage.cpp
  Network/MessageClient.cpp
  widgets/LettersSpinBox.cpp
  widgets/HintedSpinBox.cpp
  widgets/RestrictedSpinBox.cpp
  widgets/HelpTextWindow.cpp
  SampleDownloader.cpp
  SampleDownloader/DirectoryDelegate.cpp
  SampleDownloader/Directory.cpp
  SampleDownloader/FileNode.cpp
  SampleDownloader/RemoteFile.cpp
  DisplayManual.cpp
  MultiSettings.cpp
  validators/MaidenheadLocatorValidator.cpp
  validators/CallsignValidator.cpp
  widgets/SplashScreen.cpp
  EqualizationToolsDialog.cpp
  widgets/DoubleClickablePushButton.cpp
  widgets/DoubleClickableRadioButton.cpp
  Network/LotWUsers.cpp
  models/DecodeHighlightingModel.cpp
  widgets/DecodeHighlightingListView.cpp
  models/FoxLog.cpp
  widgets/AbstractLogWindow.cpp
  widgets/FoxLogWindow.cpp
  widgets/CabrilloLogWindow.cpp
  item_delegates/CallsignDelegate.cpp
  item_delegates/MaidenheadLocatorDelegate.cpp
  item_delegates/FrequencyDelegate.cpp
  item_delegates/FrequencyDeltaDelegate.cpp
  item_delegates/SQLiteDateTimeDelegate.cpp
  models/CabrilloLog.cpp
  logbook/AD1CCty.cpp
  logbook/WorkedBefore.cpp
  logbook/Multiplier.cpp
  Network/NetworkAccessManager.cpp
  widgets/LazyFillComboBox.cpp
  widgets/CheckableItemComboBox.cpp
  )

set (wsjt_qtmm_CXXSRCS
  Audio/BWFFile.cpp
  )

set (jt9_FSRCS
  lib/jt9.f90
  lib/jt9a.f90
  )

set (wsjtx_CXXSRCS
  WSJTXLogging.cpp
  logbook/logbook.cpp
  Network/PSKReporter.cpp
  Modulator/Modulator.cpp
  Detector/Detector.cpp
  widgets/logqso.cpp
  widgets/displaytext.cpp
  Decoder/decodedtext.cpp
  getfile.cpp
  Audio/soundout.cpp
  Audio/soundin.cpp
  widgets/meterwidget.cpp
  widgets/signalmeter.cpp
  widgets/plotter.cpp
  widgets/widegraph.cpp
  widgets/echograph.cpp
  widgets/echoplot.cpp
  widgets/fastgraph.cpp
  widgets/fastplot.cpp
  widgets/about.cpp
  widgets/astro.cpp
  widgets/messageaveraging.cpp
  widgets/colorhighlighting.cpp
  WSPR/WsprTxScheduler.cpp
  widgets/mainwindow.cpp
  Configuration.cpp
  main.cpp
  Network/wsprnet.cpp
  WSPR/WSPRBandHopping.cpp
  widgets/ExportCabrillo.cpp
  )

set (wsjt_CXXSRCS
  Logger.cpp
  lib/crc10.cpp
  lib/crc13.cpp
  lib/crc14.cpp
  )
# deal with a GCC v6 UB error message
set_source_files_properties (
  lib/crc10.cpp
  lib/crc13.cpp
  lib/crc14.cpp
  PROPERTIES COMPILE_FLAGS -fpermissive)

if (WIN32)
  set (wsjt_CXXSRCS
    ${wsjt_CXXSRCS}
    killbyname.cpp
    )

  set (wsjt_qt_CXXSRCS
    ${wsjt_qt_CXXSRCS}
    Transceiver/OmniRigTransceiver.cpp
    )
endif (WIN32)

set (wsjt_FSRCS
  # put module sources first in the hope that they get rebuilt before use
  lib/types.f90
  lib/C_interface_module.f90
  lib/shmem.f90
  lib/crc.f90
  lib/fftw3mod.f90
  lib/hashing.f90
  lib/iso_c_utilities.f90
  lib/jt4.f90
  lib/jt4_decode.f90
  lib/jt65_decode.f90
  lib/jt65_mod.f90
  lib/ft8_decode.f90
  lib/ft4_decode.f90
  lib/fst4_decode.f90
  lib/jt9_decode.f90
  lib/options.f90
  lib/packjt.f90
  lib/77bit/packjt77.f90
  lib/readwav.f90
  lib/timer_C_wrapper.f90
  lib/timer_impl.f90
  lib/timer_module.f90
  lib/wavhdr.f90

  # remaining non-module sources
  lib/addit.f90
  lib/afc65b.f90
  lib/afc9.f90
  lib/ana64.f90
  lib/ana932.f90
  lib/analytic.f90
  lib/astro.f90
  lib/astrosub.f90
  lib/astro0.f90
  lib/avecho.f90
  lib/averms.f90
  lib/azdist.f90
  lib/badmsg.f90
  lib/ft8/baseline.f90
  lib/ft4/ft4_baseline.f90
  lib/blanker.f90
  lib/bpdecode40.f90
  lib/bpdecode128_90.f90
  lib/ft8/bpdecode174_91.f90
  lib/baddata.f90
  lib/calibrate.f90
  lib/ccf2.f90
  lib/ccf65.f90
  lib/ft8/chkcrc13a.f90
  lib/ft8/chkcrc14a.f90
  lib/chkcall.f90
  lib/chkhist.f90
  lib/chkmsg.f90
  lib/chkss2.f90
  lib/ft4/clockit.f90
  lib/ft8/compress.f90
  lib/coord.f90
  lib/db.f90
  lib/decode4.f90
  lib/decode65a.f90
  lib/decode65b.f90
  lib/decode9w.f90
  lib/ft8/decode174_91.f90
  lib/decoder.f90
  lib/deep4.f90
  lib/deg2grid.f90
  lib/degrade_snr.f90
  lib/demod64a.f90
  lib/determ.f90
  lib/downsam9.f90
  lib/encode232.f90
  lib/encode4.f90
  lib/encode_msk40.f90
  lib/encode_128_90.f90
  lib/ft8/encode174_91.f90
  lib/ft8/encode174_91_nocrc.f90
  lib/entail.f90
  lib/ephem.f90
  lib/extract.f90
  lib/extract4.f90
  lib/extractmessage77.f90
  lib/fano232.f90
  lib/fast9.f90
  lib/fast_decode.f90
  lib/fchisq.f90
  lib/fchisq0.f90
  lib/fchisq65.f90
  lib/fil3.f90
  lib/fil3c.f90
  lib/fil4.f90
  lib/fil6521.f90
  lib/filbig.f90
  lib/ft8/filt8.f90
  lib/fitcal.f90
  lib/flat1.f90
  lib/flat1a.f90
  lib/flat1b.f90
  lib/flat2.f90
  lib/flat4.f90
  lib/flat65.f90
  lib/fmtmsg.f90
  lib/foldspec9f.f90
  lib/four2a.f90
  lib/ft8/foxfilt.f90
  lib/ft8/foxgen.f90
  lib/ft8/foxgen_wrap.f90
  lib/freqcal.f90
  lib/ft8/ft8apset.f90
  lib/ft8/ft8b.f90
  lib/ft8/ft8code.f90
  lib/ft8/ft8_downsample.f90
  lib/ft8/ft8sim.f90
  lib/gen4.f90
  lib/gen65.f90
  lib/gen9.f90
  lib/geniscat.f90
  lib/ft8/genft8.f90
  lib/genmsk_128_90.f90
  lib/genmsk40.f90
  lib/ft4/ft4code.f90
  lib/ft4/genft4.f90
  lib/ft4/gen_ft4wave.f90
  lib/ft8/gen_ft8wave.f90
  lib/genqra64.f90
  lib/ft8/genft8refsig.f90
  lib/genwspr.f90

=== doc/CMakeLists.txt ===
set (LANGUAGES
  en
  )

set (common_SRCS
  common/communication.adoc
  common/license.adoc
  common/links.adoc
  )

set (UG_SRCS
  docinfo.html
  docinfo.xml
  acknowledgements.adoc
  astro_data.adoc
  config-details.adoc
  controls-functions-center.adoc
  controls-functions-left.adoc
  controls-functions-main-window.adoc
  controls-functions-menus.adoc
  controls-functions-messages.adoc
  controls-functions-status-bar.adoc
  controls-functions-wide-graph.adoc
  cooperating-programs.adoc
  decoder_notes.adoc
  faq.adoc
  font-sizes.adoc
  install-from-source.adoc
  install-linux.adoc
  install-mac.adoc
  install-windows.adoc
  introduction.adoc
  intro_subsections.adoc
  logging.adoc
  make-qso.adoc
  measurement_tools.adoc
  new_features.adoc
  platform-dependencies.adoc
  protocols.adoc
  settings-advanced.adoc
  settings-audio.adoc
  settings-colors.adoc
  settings-frequencies.adoc
  settings-general.adoc
  settings-radio.adoc
  settings-reporting.adoc
  settings-txmacros.adoc
  support.adoc
  system-requirements.adoc
  transceiver-setup.adoc
  tutorial-example1.adoc
  tutorial-example2.adoc
  tutorial-example3.adoc
  tutorial-example4.adoc
  tutorial-example5.adoc
  tutorial-example6.adoc
  tutorial-main-window.adoc
  tutorial-wide-graph-settings.adoc
  utilities.adoc
  vhf-features.adoc
  wsjtx-main.adoc
  wspr.adoc
  )

set (UG_IMGS
  images/130610_2343-wav-80.png
  images/AstroData_2.png
  images/Astronomical_data.png
  images/auto-seq.png
  images/band-settings.png
  images/Best_S+P.png
  images/colors.png
  images/config-menu.png
  images/decode-menu.png
  images/decodes.png
  images/download_samples.png
  images/echo_144.png
  images/EME_Deep_0.png
  images/EME_Deep_1.png
  images/EME_Deep_2.png
  images/file-menu.png
  images/FreqCal.png
  images/FreqCal_Graph.png
  images/FreqCal_Results.png
  images/freemsg.png
  images/FST4_center.png
  images/FST4_Decoding_Limits.png
  images/FST4W_RoundRobin.png
  images/ft4_decodes.png
  images/ft4_waterfall.png
  images/ft8_decodes.png
  images/FT8_waterfall.png
  images/help-menu.png
  images/JT4F.png
  images/JT65B.png
  images/keyboard-shortcuts.png
  images/MSK144.png
  images/QRA64.png
  images/WSPR_WideGraphControls.png
  images/WSPR_1a.png
  images/WSPR_2.png
  images/jtalert.png
  images/keyboard-shortcuts.png
  images/log-qso.png
  images/MacAppMenu.png
  images/main-ui.png
  images/main-ui-controls.png
  images/misc-controls-center.png
  images/misc-main-ui.png
  images/mode-menu.png
  images/new-msg-box.png
  images/psk-reporter.png
  images/r3666-config-screen-80.png
  images/r3666-main-ui-80.png
  images/r4148-txmac-ui.png
  images/RadioTab.png
  images/reporting.png
  images/save-menu.png
  images/settings-advanced.png
  images/settings-audio.png
  images/settings-frequencies.png
  images/settings-general.png
  images/setup-menu.png
  images/special-mouse-commands.png
  images/status-bar-a.png
  images/tools-menu.png
  images/traditional-msg-box.png
  images/tx-macros.png
  images/VHF_controls.png
  images/view-menu.png
  images/wide-graph-controls.png
  images/Windows_Dark.png
)

find_program (ASCIIDOCTOR_EXECUTABLE NAMES asciidoctor)
if (NOT ASCIIDOCTOR_EXECUTABLE)
  message (FATAL_ERROR "asciidoctor is required to build the documentation

Building the documenation may optionally be turned off by setting the CMake
option WSJT_GENERATE_DOCS to OFF.")
endif (NOT ASCIIDOCTOR_EXECUTABLE)

find_program (FOPUB_EXECUTABLE NAMES fopub)

include (CMakeParseArguments)

# generate a document from asciidoc text files(s)
#
# HTML - generate an HTML document
# PDF - generate a PDF document
# SOURCE - top level asciidoc file
# ASCIIDOCTOR_OPTIONS - asciidoctor command options
# DEPENDS - dependent files
function (document)
  cmake_parse_arguments (_args "HTML" "SOURCE;LANG;OUTPUT" "ASCIIDOCTOR_OPTIONS;PDF;DEPENDS" ${ARGN})
  get_filename_component (_source_path ${_args_SOURCE} PATH)
  get_filename_component (_source_name ${_args_SOURCE} NAME)
  get_filename_component (_output_name_we ${_args_SOURCE} NAME_WE)

  # HTML
  if (${_args_HTML})
    set (_html_file ${CMAKE_CURRENT_BINARY_DIR}/${_output_name_we}_${lang}.html)
    add_custom_command (
      OUTPUT ${_html_file}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_source_path}/${lang}
      COMMAND ${ASCIIDOCTOR_EXECUTABLE} ${_args_ASCIIDOCTOR_OPTIONS}
      -b html5
      -a nofooter
      -a VERSION_MAJOR=${WSJTX_VERSION_MAJOR}
      -a VERSION_MINOR=${WSJTX_VERSION_MINOR}
      -a VERSION_PATCH=${WSJTX_VERSION_PATCH}
      -a VERSION=${wsjtx_VERSION}
      --out-file=${_html_file} ${_source_name}
      DEPENDS ${_args_DEPENDS}
      COMMENT "Generating ${_html_file}"
      )
    list (APPEND _output_files ${_html_file})
  endif (${_args_HTML})

  # PDF
  if (_args_PDF AND EXISTS ${FOPUB_EXECUTABLE})
    set (_docbook_file ${CMAKE_CURRENT_BINARY_DIR}/${_output_name_we}_${lang}.xml)
    set (_pdf_file_we ${CMAKE_CURRENT_BINARY_DIR}/${_output_name_we}_${lang})
    if (${lang} MATCHES "^(en|es|fr)$") # en-us, fr-ca and es-{mx,co} use US-Letter or equivalent
      set (_usl_commands
	COMMAND ${FOPUB_EXECUTABLE} ARGS ${_docbook_file} ${_args_PDF} -param paper.type USLetter
	COMMAND ${CMAKE_COMMAND} ARGS -E rename ${_pdf_file_we}.pdf '${_pdf_file_we} \(USLetter\).pdf'
	)
      list (APPEND _output_files "${_pdf_file_we} (USLetter).pdf")
    endif ()
    list (APPEND _output_files "${_pdf_file_we}.pdf")
    add_custom_command (
      OUTPUT ${_docbook_file} ${_output_files}
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_source_path}/${lang}
      COMMAND ${ASCIIDOCTOR_EXECUTABLE} ARGS ${_args_ASCIIDOCTOR_OPTIONS}
      -b docbook
      -a data-uri!
      -a VERSION_MAJOR=${WSJTX_VERSION_MAJOR}
      -a VERSION_MINOR=${WSJTX_VERSION_MINOR}
      -a VERSION_PATCH=${WSJTX_VERSION_PATCH}${BUILD_TYPE_REVISION}
      -a VERSION=${wsjtx_VERSION}
      -D ${CMAKE_CURRENT_BINARY_DIR}
      -o ${_docbook_file} ${_source_name}
      ${_usl_commands}
      COMMAND ${FOPUB_EXECUTABLE} ARGS ${_docbook_file} ${_args_PDF} -param paper.type A4
      COMMAND ${CMAKE_COMMAND} ARGS -E rename ${_pdf_file_we}.pdf '${_pdf_file_we}.pdf'
      DEPENDS ${_args_DEPENDS}
      COMMENT "Generating ${_output_files}"
      )
  endif (_args_PDF AND EXISTS ${FOPUB_EXECUTABLE})

  set (${_args_OUTPUT} ${_output_files} PARENT_SCOPE)
endfunction (document)

set (htmls)
set (pdfs)
foreach (lang ${LANGUAGES})
  set (_sources)
  foreach (_src ${UG_SRCS} ${UG_IMGS})
    list (APPEND _sources "user_guide/${lang}/${_src}")
  endforeach ()
  document(
    HTML
    SOURCE user_guide/wsjtx-main.adoc
    LANG "${lang}"
    OUTPUT html
    ASCIIDOCTOR_OPTIONS -d book -a data-uri -a toc=left -a max-width=1024px
    DEPENDS ${common_SRCS} ${_sources}
    )
  document(
    PDF -param body.font.master 11 -param body.font.family "'Noto Sans, Helvetica, sans-serif'" -param title.font.family "'Noto Serif, Times New Roman, serif'" -param page.margin.inner 1cm -param page.margin.outer 1cm -param page.margin.top 0.75cm -param page.margin.bottom 0.5cm -param generate.toc 0
    SOURCE user_guide/wsjtx-main.adoc
    LANG "${lang}"
    OUTPUT pdf
    ASCIIDOCTOR_OPTIONS -d book
    DEPENDS ${common_SRCS} ${_sources}
    )
  list (APPEND htmls "${html}")
  list (APPEND pdfs "${pdf}")
endforeach ()

add_custom_target (docs ALL DEPENDS ${htmls} ${pdfs})

foreach (_html ${htmls})
  get_filename_component (_path ${_html} PATH)
  get_filename_component (_nwe ${_html} NAME_WE)
  get_filename_component (_ext ${_html} EXT)
  string (REGEX REPLACE "_en$" "" _nwe ${_nwe})
  install (FILES
    ${_html}
    DESTINATION ${CMAKE_INSTALL_DOCDIR}
    RENAME ${_nwe}-${wsjtx_VERSION}${_ext}
    #COMPONENT runtime
    )
endforeach ()

=== debian/changelog ===
wsjtx (2.3.0+repack-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Feb 2021 12:35:27 +0100

wsjtx (2.3.0+repack-2) unstable; urgency=medium

  * Provide a debian/uupdate.sh script to extract the upstream tarball
    and use it in debian/watch.
  * Patch logging to require C.UTF-8 instead of en_US.UTF-8. (Closes: #982287)
  * Add dependency on libqt5sql5-sqlite.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Feb 2021 12:30:21 +0100

wsjtx (2.3.0+repack-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Use boost 1.71 from backports.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Feb 2021 09:28:54 +0100

wsjtx (2.3.0+repack-1) unstable; urgency=medium

  * New upstream version 2.3.0+repack.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Feb 2021 21:57:02 +0100

wsjtx (2.3.0~rc4+repack-1) unstable; urgency=medium

  * New upstream version 2.3.0~rc4+repack.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Jan 2021 21:33:52 +0100

wsjtx (2.3.0~rc3+repack-2) unstable; urgency=high

  * Allow prerelease package to run longer to allow bullseye users to continue
    using wsjtx 2.3 until the GA release is ready.

 -- Christoph Berg <myon@debian.org>  Sun, 10 Jan 2021 16:58:05 +0100

wsjtx (2.3.0~rc3+repack-1) unstable; urgency=medium

  * New upstream version 2.3.0~rc3+repack.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Jan 2021 23:02:09 +0100

wsjtx (2.3.0~rc2+repack-1) unstable; urgency=medium

  * New upstream version 2.3.0~rc2+repack.
  * New B-D libboost-log-dev.
  * The (inner) upstream tarball dropped the boost embedded code copy, stop
    removing it.
  * Drop inactive co-maintainers. Thanks John, Kamal, and Enrico!

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 22:37:49 +0100

wsjtx (2.3.0~rc1+repack-1) experimental; urgency=medium

  [ tony mancill ]
  * Use https URL in debian/watch

  [ Christoph Berg ]
  * New upstream version 2.3.0~rc1+repack.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Sep 2020 23:28:26 +0200

wsjtx (2.2.2+repack-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add B-D on xsltproc.
  * Don't depend on hamradio-files, doesn't exist in buster-backports yet.

 -- Christoph Berg <myon@debian.org>  Wed, 14 Oct 2020 21:09:49 +0200

=== debian/control ===
Source: wsjtx
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
	Dave Hibberd <d@vehibberd.com>,
	Christoph Berg <myon@debian.org>,
Section: hamradio
Priority: optional
Build-Depends:
	asciidoc,
	asciidoctor,
	cmake,
	debhelper-compat (= 13),
	docbook-xsl,
	gfortran,
	libboost1.71-dev,
	libboost-log1.71-dev,
	libfftw3-dev,
	libhamlib-dev (>= 3.2),
	libqcustomplot-dev,
	libqt5opengl5-dev,
	libqt5serialport5-dev,
	libqwt-qt5-dev,
	libsamplerate0-dev,
	libudev-dev,
	portaudio19-dev,
	qtbase5-dev,
	qttools5-dev,
	qtmultimedia5-dev,
	texinfo,
	xsltproc,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Rules-Requires-Root: no

Package: wsjtx
Architecture: linux-any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	libhamlib-utils,
	libqt5multimedia5-plugins,
	libqt5sql5-sqlite,
	wsjtx-data (= ${source:Version}),
Recommends: wsjtx-doc
Description: Weak-signal amateur radio communications
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 JT4, JT9, JT65, and QRA64 use nearly identical message structure and source
 encoding (the efficient compression of standard messages used for minimal
 QSOs). They use timed 60-second T/R sequences synchronized with UTC. JT65 and
 QRA64 were designed for EME ("moonbounce") on the VHF/UHF bands; JT65 has also
 proved popular and effective for worldwide QRP communication at HF. JT9 is
 optimized for the LF, MF, and HF bands. It is about 2 dB more sensitive than
 JT65 while using less than 10% of the bandwidth. With either JT9 or JT65,
 world-wide QSOs are possible with power levels of a few watts and compromise
 antennas. JT4 and QRA64 are optimized for EME on the VHF and higher bands, and
 especially the microwave bands from 2.3 to 24 GHz.
 .
 FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and 15 s
 long, respectively. MSK144 is designed for Meteor Scatter on the VHF bands.
 These modes offer enhanced message formats with support for nonstandard
 callsigns and some popular contests.
 .
 WSPR mode implements a protocol designed for probing potential propagation
 paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
 including programmable "band-hopping".

Package: wsjtx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Conflicts: wsjtx (<< 2.0.0)
Replaces: wsjtx (<< 2.0.0)
Description: Weak-signal amateur radio communications (data files)
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package contains architecture-independent data files.

Package: wsjtx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
	${shlibs:Depends},
	${misc:Depends},
	fonts-font-awesome,
	fonts-open-sans,
Description: Documentation and examples for the WSJT-X package
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package provides the software documentation.

=== debian/watch ===
# use version 3 so uupdate.sh is passed the tarball name
version=3
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+repack//,repacksuffix=+repack" \
https://physics.princeton.edu/pulsar/k1jt/wsjtx.html .*wsjtx-(.*).tgz debian debian/uupdate.sh

## wsjtx 2.5.4+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 endif ()
 
 project (wsjtx
-  VERSION 2.3.0.0
+  VERSION 2.5.4.0
   LANGUAGES C CXX Fortran
   )
 set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
@@ -169,6 +169,7 @@
   )
 
 set (wsjt_qt_CXXSRCS
+  helper_functions.cpp
   qt_helpers.cpp
   widgets/MessageBox.cpp
   MetaDataRegistry.cpp
@@ -237,6 +238,7 @@
   Network/NetworkAccessManager.cpp
   widgets/LazyFillComboBox.cpp
   widgets/CheckableItemComboBox.cpp
+  widgets/BandComboBox.cpp
   )
 
 set (wsjt_qtmm_CXXSRCS
@@ -326,11 +328,14 @@
   lib/options.f90
   lib/packjt.f90
   lib/77bit/packjt77.f90
+  lib/qra/q65/q65.f90
+  lib/q65_decode.f90
   lib/readwav.f90
   lib/timer_C_wrapper.f90
   lib/timer_impl.f90
   lib/timer_module.f90
   lib/wavhdr.f90
+  lib/qra/q65/q65_encoding_modules.f90
 
   # remaining non-module sources
   lib/addit.f90
@@ -345,7 +350,6 @@
   lib/avecho.f90
   lib/averms.f90
   lib/azdist.f90
-  lib/badmsg.f90
   lib/ft8/baseline.f90
   lib/ft4/ft4_baseline.f90
   lib/blanker.f90
@@ -423,14 +427,9 @@
   lib/gen4.f90
   lib/gen65.f90
   lib/gen9.f90
-  lib/geniscat.f90
+  lib/genwave.f90
   lib/ft8/genft8.f90
+  lib/qra/q65/genq65.f90
   lib/genmsk_128_90.f90
   lib/genmsk40.f90
   lib/ft4/ft4code.f90
-  lib/ft4/genft4.f90
-  lib/ft4/gen_ft4wave.f90
-  lib/ft8/gen_ft8wave.f90
-  lib/genqra64.f90
-  lib/ft8/genft8refsig.f90
-  lib/genwspr.f90

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -49,12 +49,11 @@
   system-requirements.adoc
   transceiver-setup.adoc
   tutorial-example1.adoc
-  tutorial-example2.adoc
   tutorial-example3.adoc
   tutorial-example4.adoc
   tutorial-example5.adoc
   tutorial-example6.adoc
-  tutorial-main-window.adoc
+  tutorial-download-samples.adoc
   tutorial-wide-graph-settings.adoc
   utilities.adoc
   vhf-features.adoc
@@ -63,7 +62,6 @@
   )
 
 set (UG_IMGS
-  images/130610_2343-wav-80.png
   images/AstroData_2.png
   images/Astronomical_data.png
   images/auto-seq.png
@@ -72,7 +70,6 @@
   images/colors.png
   images/config-menu.png
   images/decode-menu.png
-  images/decodes.png
   images/download_samples.png
   images/echo_144.png
   images/EME_Deep_0.png
@@ -95,7 +92,7 @@
   images/JT65B.png
   images/keyboard-shortcuts.png
   images/MSK144.png
-  images/QRA64.png
+  images/Q65_6m_ionoscatter.png
   images/WSPR_WideGraphControls.png
   images/WSPR_1a.png
   images/WSPR_2.png
@@ -166,9 +163,9 @@
       COMMAND ${ASCIIDOCTOR_EXECUTABLE} ${_args_ASCIIDOCTOR_OPTIONS}
       -b html5
       -a nofooter
-      -a VERSION_MAJOR=${WSJTX_VERSION_MAJOR}
-      -a VERSION_MINOR=${WSJTX_VERSION_MINOR}
-      -a VERSION_PATCH=${WSJTX_VERSION_PATCH}
+      -a VERSION_MAJOR=${PROJECT_VERSION_MAJOR}
+      -a VERSION_MINOR=${PROJECT_VERSION_MINOR}
+      -a VERSION_PATCH=${PROJECT_VERSION_PATCH}
       -a VERSION=${wsjtx_VERSION}
       --out-file=${_html_file} ${_source_name}
       DEPENDS ${_args_DEPENDS}
@@ -195,9 +192,9 @@
       COMMAND ${ASCIIDOCTOR_EXECUTABLE} ARGS ${_args_ASCIIDOCTOR_OPTIONS}
       -b docbook
       -a data-uri!
-      -a VERSION_MAJOR=${WSJTX_VERSION_MAJOR}
-      -a VERSION_MINOR=${WSJTX_VERSION_MINOR}
-      -a VERSION_PATCH=${WSJTX_VERSION_PATCH}${BUILD_TYPE_REVISION}
+      -a VERSION_MAJOR=${wsjtx_VERSION_MAJOR}
+      -a VERSION_MINOR=${wsjtx_VERSION_MINOR}
+      -a VERSION_PATCH=${wsjtx_VERSION_PATCH}${BUILD_TYPE_REVISION}
       -a VERSION=${wsjtx_VERSION}
       -D ${CMAKE_CURRENT_BINARY_DIR}
       -o ${_docbook_file} ${_source_name}
@@ -224,7 +221,7 @@
     SOURCE user_guide/wsjtx-main.adoc
     LANG "${lang}"
     OUTPUT html
-    ASCIIDOCTOR_OPTIONS -d book -a data-uri -a toc=left -a max-width=1024px
+    ASCIIDOCTOR_OPTIONS -d book -a data-uri -a toc=left
     DEPENDS ${common_SRCS} ${_sources}
     )
   document(

=== debian/changelog ===
wsjtx (2.5.4+repack-1) unstable; urgency=medium

  * New upstream version 2.5.4+repack

 -- tony mancill <tmancill@debian.org>  Tue, 04 Jan 2022 16:24:25 -0800

wsjtx (2.5.2+repack-1) unstable; urgency=medium

  * New upstream version 2.5.2+repack (Closes: #998649)
  * Exclude all .exe and .dll files from upstream tarball

 -- tony mancill <tmancill@debian.org>  Fri, 05 Nov 2021 07:40:30 -0700

wsjtx (2.5.1+repack-1) unstable; urgency=medium

  * New upstream version 2.5.1+repack
  * Update debian/watch and debian/uupdate.sh
  * Refresh patches for upstream release; remove patch for #995376
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Sat, 30 Oct 2021 11:19:09 -0700

wsjtx (2.5.0+repack-3) unstable; urgency=medium

  * Team upload.
  * Add patch for segfault when refspec is used (Closes: #995376)

 -- tony mancill <tmancill@debian.org>  Sun, 24 Oct 2021 17:51:22 -0700

wsjtx (2.5.0+repack-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against current unstable build-deps (see Debian #995198)
  * Bump Standards-Version to 4.6.0 (no changes)

 -- tony mancill <tmancill@debian.org>  Fri, 22 Oct 2021 19:54:11 -0700

wsjtx (2.5.0+repack-1) unstable; urgency=high

  * New upstream version 2.5.0+repack.
  * Urgency high since rc6's built-in EOL timer expires on Sep 30.
  * Precompiled windows binaries are gone, remove Files-Excluded again.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Sep 2021 10:30:14 +0200

wsjtx (2.5.0~rc6+repack-1) unstable; urgency=medium

  * New upstream version 2.5.0~rc6+repack.
  * Remove precompiled windows binaries from map65 subdirectory.
  * Update copyright for map65 subdirectory (we don't use it yet, tho).

 -- Christoph Berg <myon@debian.org>  Thu, 09 Sep 2021 22:56:32 +0200

wsjtx (2.4.0+repack-1) experimental; urgency=medium

  * New upstream version 2.4.0+repack.
  * Drop debian/patches/c-locale, obsoleted upstream.

 -- Christoph Berg <myon@debian.org>  Mon, 24 May 2021 21:56:21 +0200

wsjtx (2.4.0~rc4+repack-1) experimental; urgency=medium

  * New upstream version 2.4.0~rc4+repack.
  * Patch logging to require C.UTF-8 instead of en_US.UTF-8. (Closes: #982287)
  * Add dependency on libqt5sql5-sqlite.
  * Move hamradio-files dependency to wsjtx-data. (Closes: #985869)

 -- Christoph Berg <myon@debian.org>  Sat, 27 Mar 2021 10:24:51 +0100

wsjtx (2.4.0~rc1+repack-1) experimental; urgency=medium

  * New upstream version 2.4.0~rc1+repack with new Q65 mode.
  * Bump hamlib B-D to 4.1.
  * Provide a debian/uupdate.sh script to extract the upstream tarball
    and use it in debian/watch.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Feb 2021 22:55:29 +0100

=== debian/control ===
Source: wsjtx
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
	Dave Hibberd <d@vehibberd.com>,
	Christoph Berg <myon@debian.org>,
        tony mancill <tmancill@debian.org>
Section: hamradio
Priority: optional
Build-Depends:
	asciidoc,
	asciidoctor,
	cmake,
	debhelper-compat (= 13),
	docbook-xsl,
	gfortran,
	libboost-dev,
	libboost-log-dev,
	libfftw3-dev,
	libhamlib-dev (>= 4.1),
	libqcustomplot-dev,
	libqt5opengl5-dev,
	libqt5serialport5-dev,
	libqwt-qt5-dev,
	libsamplerate0-dev,
	libudev-dev,
	portaudio19-dev,
	qtbase5-dev,
	qttools5-dev,
	qtmultimedia5-dev,
	texinfo,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Rules-Requires-Root: no

Package: wsjtx
Architecture: linux-any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	libhamlib-utils,
	libqt5multimedia5-plugins,
	libqt5sql5-sqlite,
	wsjtx-data (= ${source:Version}),
Recommends: wsjtx-doc
Description: Weak-signal amateur radio communications
 WSJT-X implements amateur radio communication protocols or "modes" called
 FST4, FST4W, FT4, FT8, JT4, JT9, JT65, Q65, MSK144, and WSPR, as well as one
 called Echo for detecting and measuring your own radio signals reflected from
 the Moon.  These modes were all designed for making reliable, confirmed QSOs
 under extreme weak-signal conditions.
 .
 JT4, JT9, and JT65 use nearly identical message structure and source encoding
 (the efficient compression of standard messages used for minimal QSOs). They
 use timed 60-second T/R sequences synchronized with UTC.  JT4 and JT65 were
 designed for EME ("moonbounce") on the VHF/UHF/microwave bands.  JT9 is
 optimized for the MF, and HF bands.  It  is about 2 dB more sensitive than
 JT65 while using less than 10% of the bandwidth.  Q65 offers submodes with a
 wide range of T/R sequence lengths and tone spacings.
 .
 FT4 and FT8 are operationally similar but use T/R cycles only 7.5 and  15 s
 long, respectively.  MSK144 is designed for Meteor Scatter on the VHF bands.
 These modes offer enhanced message formats with support for nonstandard
 callsigns and some popular contests.
 .
 FST4 and FST4W are designed particularly for the LF and MF bands. On these
 bands their fundamental sensitivities are better than other WSJT-X modes with
 the same sequence lengths, approaching the theoretical limits for their rates
 of information throughput. FST4 is optimized for two-way QSOs, while FST4W is
 for quasi-beacon transmissions of WSPR-style messages. FST4 and FST4W do not
 require the strict, independent time synchronization and phase locking of
 modes like EbNaut.
 .
 WSPR mode implements a protocol designed for probing potential propagation
 paths with low-power transmissions. WSPR is fully implemented within WSJT-X,
 including programmable "band-hopping".

Package: wsjtx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	hamradio-files,
Conflicts: wsjtx (<< 2.0.0)
Replaces: wsjtx (<< 2.0.0)
Description: Weak-signal amateur radio communications (data files)
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package contains architecture-independent data files.

Package: wsjtx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
	${shlibs:Depends},
	${misc:Depends},
	fonts-font-awesome,
	fonts-open-sans,
Description: Documentation and examples for the WSJT-X package
 WSJT-X implements amateur radio communication protocols or "modes" called FT4,
 FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called
 Echo for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs under
 extreme weak-signal conditions.
 .
 This package provides the software documentation.

## wsjtx 2.6.0~rc3+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 endif ()
 
 project (wsjtx
-  VERSION 2.5.4.0
+  VERSION 2.6.0.0
   LANGUAGES C CXX Fortran
   )
 set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
@@ -71,7 +71,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (GA)
+set_build_type (RC 3)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -126,7 +126,8 @@
 option (WSJT_RIG_NONE_CAN_SPLIT "Allow split operation with \"None\" as rig.")
 option (WSJT_TRACE_UDP "Debugging option that turns on UDP message protocol diagnostics.")
 option (WSJT_BUILD_UTILS "Build simulators and code demonstrators." ON)
-
+CMAKE_DEPENDENT_OPTION (WSJT_QDEBUG_IN_RELEASE "Leave Qt debugging statements in Release configuration." OFF
+  "NOT is_debug_build" OFF)
 CMAKE_DEPENDENT_OPTION (WSJT_ENABLE_EXPERIMENTAL_FEATURES "Enable features not fully ready for public releases." ON
   is_debug_build OFF)
 CMAKE_DEPENDENT_OPTION (WSJT_CREATE_WINMAIN
@@ -273,6 +274,7 @@
   widgets/about.cpp
   widgets/astro.cpp
   widgets/messageaveraging.cpp
+  widgets/activeStations.cpp
   widgets/colorhighlighting.cpp
   WSPR/WsprTxScheduler.cpp
   widgets/mainwindow.cpp
@@ -336,6 +338,7 @@
   lib/timer_module.f90
   lib/wavhdr.f90
   lib/qra/q65/q65_encoding_modules.f90
+  lib/ft8/ft8_a7.f90
 
   # remaining non-module sources
   lib/addit.f90
@@ -382,6 +385,7 @@
   lib/demod64a.f90
   lib/determ.f90
   lib/downsam9.f90
+  lib/echo_snr.f90
   lib/encode232.f90
   lib/encode4.f90
   lib/encode_msk40.f90
@@ -422,14 +426,3 @@
   lib/ft8/ft8apset.f90
   lib/ft8/ft8b.f90
   lib/ft8/ft8code.f90
-  lib/ft8/ft8_downsample.f90
-  lib/ft8/ft8sim.f90
-  lib/gen4.f90
-  lib/gen65.f90
-  lib/gen9.f90
-  lib/genwave.f90
-  lib/ft8/genft8.f90
-  lib/qra/q65/genq65.f90
-  lib/genmsk_128_90.f90
-  lib/genmsk40.f90
-  lib/ft4/ft4code.f90

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,7 @@
   )
 
 set (UG_IMGS
+  images/active_stations.png
   images/AstroData_2.png
   images/Astronomical_data.png
   images/auto-seq.png

=== debian/changelog ===
wsjtx (2.6.0~rc3+repack-1) unstable; urgency=medium

  * New upstream version 2.6.0~rc3+repack.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Aug 2022 10:24:06 +0200

wsjtx (2.6.0~rc2+repack-1) unstable; urgency=medium

  * New upstream version 2.6.0~rc2+repack.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 23:20:00 +0200

## wsjtx 2.6.1%2Brepack

=== debian/changelog ===
wsjtx (2.6.1+repack-1) unstable; urgency=medium

  * New upstream version 2.6.1+repack.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Jan 2023 19:08:45 +0100

wsjtx (2.6.0+repack-1) unstable; urgency=medium

  * New upstream version 2.6.0+repack.
  * Install all utility programs: encode77 ft4code ft4sim_mult ft8sim jt49sim
    jt4sim jt65sim ldpcsim240_101 ldpcsim240_74 msk144sim q65_ftn_test
    record_time_signal rtty_spec sumsim test_q65 test_snr wsprcode wsprsim.
    (Closes: #1024761)

 -- Christoph Berg <myon@debian.org>  Sun, 08 Jan 2023 21:39:29 +0100

wsjtx (2.6.0~rc5+repack-1) unstable; urgency=medium

  * New upstream version 2.6.0~rc5+repack.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Dec 2022 12:01:39 +0100

wsjtx (2.6.0~rc4+repack-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + wsjtx-data: Drop versioned constraint on wsjtx in Conflicts.
    + wsjtx-data: Drop versioned constraint on wsjtx in Replaces.

  [ Christoph Berg ]
  * Build against qcustomplot 2.1.0. (Closes: #1024104)
  * Defuse "this version will expire" message popup.

 -- Christoph Berg <myon@debian.org>  Wed, 23 Nov 2022 11:11:26 +0100

wsjtx (2.6.0~rc4+repack-1) unstable; urgency=medium

  * New upstream version 2.6.0~rc4+repack.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Sep 2022 12:54:49 +0200

## wsjtx 2.6.1+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 endif ()
 
 project (wsjtx
-  VERSION 2.6.0.0
+  VERSION 2.6.1.0
   LANGUAGES C CXX Fortran
   )
 set (PROJECT_DESCRIPTION "WSJT-X: Digital Modes for Weak Signal Communications in Amateur Radio")
@@ -71,7 +71,7 @@
 
 include (set_build_type)
 # RC 0 or omitted is a development build, GA is a General Availability release build
-set_build_type (RC 3)
+set_build_type (GA)
 set (wsjtx_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}${BUILD_TYPE_REVISION}")
 
 #
@@ -80,10 +80,10 @@
 set (PROJECT_BUNDLE_NAME "WSJT-X")
 set (PROJECT_VENDOR "Joe Taylor, K1JT")
 set (PROJECT_CONTACT "Joe Taylor <k1jt@arrl.net>")
-set (PROJECT_COPYRIGHT "Copyright (C) 2001-2021 by Joe Taylor, K1JT")
-set (PROJECT_HOMEPAGE https://www.physics.princeton.edu/pulsar/K1JT/wsjtx.html)
+set (PROJECT_COPYRIGHT "Copyright (C) 2001-2023 by Joe Taylor, K1JT")
+set (PROJECT_HOMEPAGE https://wsjt.sourceforge.io/wsjtx.html)
 set (PROJECT_MANUAL wsjtx-main)
-set (PROJECT_MANUAL_DIRECTORY_URL https://www.physics.princeton.edu/pulsar/K1JT/wsjtx-doc/)
+set (PROJECT_MANUAL_DIRECTORY_URL https://wsjt.sourceforge.io/wsjtx-doc/)
 set (PROJECT_SAMPLES_URL http://downloads.sourceforge.net/project/wsjt/)
 set (PROJECT_SAMPLES_UPLOAD_DEST frs.sourceforge.net:/home/frs/project/wsjt/)
 
@@ -190,6 +190,7 @@
   widgets/FrequencyDeltaLineEdit.cpp
   item_delegates/CandidateKeyFilter.cpp
   item_delegates/ForeignKeyDelegate.cpp
+  item_delegates/MessageItemDelegate.cpp
   validators/LiveFrequencyValidator.cpp
   GetUserId.cpp
   Audio/AudioDevice.cpp
@@ -385,6 +386,7 @@
   lib/demod64a.f90
   lib/determ.f90
   lib/downsam9.f90
+  lib/echosim.f90
   lib/echo_snr.f90
   lib/encode232.f90
   lib/encode4.f90
@@ -419,10 +421,9 @@
   lib/fmtmsg.f90
   lib/foldspec9f.f90
   lib/four2a.f90
+  lib/fspread_lorentz.f90
   lib/ft8/foxfilt.f90
   lib/ft8/foxgen.f90
   lib/ft8/foxgen_wrap.f90
   lib/freqcal.f90
   lib/ft8/ft8apset.f90
-  lib/ft8/ft8b.f90
-  lib/ft8/ft8code.f90

=== debian/control ===
--- 
+++ 
@@ -81,8 +81,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
 	hamradio-files,
-Conflicts: wsjtx (<< 2.0.0)
-Replaces: wsjtx (<< 2.0.0)
 Description: Weak-signal amateur radio communications (data files)
  WSJT-X implements amateur radio communication protocols or "modes" called FT4,
  FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called

=== debian/watch ===
# use version 3 so uupdate.sh is passed the tarball name
# Specify no-symlink so uscan doesn't try to invoke mk-origtargz to repack
# the upstream tarball; debian/uupdate.sh will handle this.
version=3
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+repack//,repacksuffix=+repack,no-symlink" \
https://physics.princeton.edu/pulsar/k1jt/wsjtx.html .*wsjtx-(.*).tgz debian debian/uupdate.sh

## wsjtx 2.7.0~rc3%2Brepack

=== qmap/libqmap/CMakeLists.txt ===
set (libq65_FSRCS
# Modules come first:

# Non-module Fortran routines:
  astro.f90
  astro0.f90
  astrosub.f90
  dcoord.f90
  decode0.f90
  dot.f90
  fchisq0.f90
  filbig.f90
  four2a.f90
  ftninit.f90
  ftnquit.f90
  geocentric.f90
  getcand2.f90
  grid2deg.f90
  indexx.f90
  lorentzian.f90
  moon2.f90
  moondop.f90
  q65b.f90
  q65c.f90
  q65_sync.f90
  qmapa.f90
  recvpkt.f90
  sun.f90
  symspec.f90
  timf2.f90
  tm2.f90
  toxyz.f90

  f77_wisdom.f
  )

#set (libq65_CXXSRCS
#  ipcomm.cpp
#  )

set (libq65_C_and_CXXSRCS
  ${libq65_CSRCS}
  ${libq65_CXXSRCS}
  )
set_property (SOURCE ${libq65_C_and_CXXSRCS} APPEND_STRING PROPERTY COMPILE_FLAGS " -include wsjtx_config.h")
set_property (SOURCE ${libq65_C_and_CXXSRCS} APPEND PROPERTY OBJECT_DEPENDS ${CMAKE_BINARY_DIR}/wsjtx_config.h)


#
# build our targets
#
add_library (qmap_impl STATIC ${libq65_FSRCS} ${libq65_CSRCS} ${libq65_CXXSRCS})
target_link_libraries (qmap_impl wsjt_fort wsjt_cxx Qt5::Core)

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: wsjtx
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
 	Dave Hibberd <d@vehibberd.com>,
 	Christoph Berg <myon@debian.org>,
@@ -28,7 +29,7 @@
 	qttools5-dev,
 	qtmultimedia5-dev,
 	texinfo,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
 Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html
